alm-0.9.6 not buildable without whoopsie

Bug #1197934 reported by Justin on 2013-07-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Activity Log Manager
Critical
Manish Sinha (मनीष सिन्हा)

Bug Description

libtool: link: x86_64-pc-linux-gnu-gcc -Wall -g -DGNOMECC_UI_DIR=\"\" -DPACKAGE_LOCALE_DIR=\"/usr/share/locale\" -DPACKAGE_SRC_DIR=\".\" -DPACKAGE_DATA_DIR=\"/usr/share\" -DPROGRAMNAME_LOCALEDIR=\"/usr/share/locale\" -DGETTEXT_PACKAGE=\"activity-log-manager\" -DGNOMELOCALEDIR=\"/usr/share/locale\" -pthread -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/zeitgeist-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gee-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -march=corei7-avx -O2 -pipe -frecord-gcc-switches -Wl,--export-dynamic -Wl,-O1 -Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -o activity-log-manager activity_log_manager-blacklist-dbus.o activity_log_manager-activity-log-manager.o activity_log_manager-unified-privacy-files.o activity_log_manager-unified-privacy-applications.o activity_log_manager-unified-privacy-history.o activity_log_manager-unified-privacy.o activity_log_manager-alm.o -Wl,--as-needed -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lzeitgeist-2.0 -lgee -lpolkit-gobject-1 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lm -pthread
activity-log-manager.c:140: error: undefined reference to 'whoopsie_daisy_preferences_new'

I am trying to build the package without the typical ubuntu libs which fails. Is it possible to get a non ubuntu version?

Related branches

Justin (jlec) wrote :

I tried reproducing it and yes, it fails to build. Will fix it in ASAP

Changed in activity-log-manager:
assignee: nobody → Manish Sinha (मनीष सिन्हा) (manishsinha)
importance: Undecided → Critical
milestone: none → 0.9.7
status: New → Confirmed
Changed in activity-log-manager:
status: Confirmed → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments